perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthew Lenz <matt...@nocturnal.org>
Subject Re: migrating to 2.0 and getting tons of warnings
Date Fri, 27 Feb 2009 16:43:03 GMT
On Fri, 2009-02-27 at 11:29 -0500, Perrin Harkins wrote:
> On Fri, Feb 27, 2009 at 7:58 AM, Matthew Lenz <matthew@nocturnal.org> wrote:
> > I looked through the packge diff:
> >
> > http://ftp.de.debian.org/debian/pool/main/liba/libapache2-mod-perl2/libapache2-mod-perl2_2.0.4-5.diff.gz
> >
> > and didn't spot any changes that would have this affect.
> 
> What about other CPAN modules you're using.  Do you use a framework
> like Mason?

No, this is just a legacy app that runs straight CGI's via
ModPerl::RegistryPrefork

> You probably have different versions on the newer
> machine.

Absolutely, I'm guessing nearly every CPAN module being used is updated.

> - Perrin

I thought that if a package does a 'use warnings;' that it only affects
code being executed in that package?  Maybe that is not the case under
mod perl 2?  mod perl 1 didn't exhibit that behavior.


Mime
View raw message